Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jdeveloper.html
Class PickList

`java.lang.Object
oracle.jdeveloper.html.HTMLFieldRendererImpl
oracle.jdeveloper.html.StaticPickList
oracle.jdeveloper.html.PickList`

All Implemented Interfaces:
  HTMLFieldRenderer, HTMLRenderingContext, PickListContext, StaticPickListContext

public class PickList
extends StaticPickList
implements PickListContext

This class represents a databound picklist. It binds to data from a BC4J view object. It supports various renderings: combobox, listbox,radio group and checbox group.

Version:
  PUBLIC

Field Summary
`protected int` | `addNullEntry`
`protected java.lang.String` | `dataAttr`
`protected java.lang.String` | `labelAttr`
`protected RowSet` | `qView`
`protected java.lang.String` | `sQuery`
`protected java.lang.String` | `sVOPath`

Fields inherited from class oracle.jdeveloper.html.StaticPickList
`aLabels, allvalues, aValues, bUseLineBreaks, iter, nType, TYPE_CHECKBOX_GROUP, TYPE_COMBOBOX, TYPE_LISTBOX, TYPE_RADIO_GROUP, values`

Fields inherited from class oracle.jdeveloper.html.HTMLFieldRendererImpl
`attrDef, ds, htmlAttributes, locale, page, sFormName, sPrompt`

Constructor Summary
`PickList()` Constructs object.

Method Summary
`boolean` | `getAllowNulls()`
`java.lang.String` | `getDataAttributes()`
`java.lang.String` | `getDisplayAttributes()`
`java.lang.String` | `getLovVo()`
`protected java.lang.String` | `getRenderedString()`
`protected void` | `prepareForMutliValueListGeneration()`
`java.lang.String` | `renderToString(Row row)` This method is called when the field renderers are being used from the Tag library and from the DataWebBeans.
`void` | `setAllowNulls(boolean bSet)`
`void` | `setDataAttributes(java.lang.String sDataAttributes)`
`void` | `setDataSourceInfo(ApplicationModule appModule, java.lang.String sQuery)` Defines the data source information for the picklist
`void` | `setDataSourceInfo(RowSet qView)` Defines the data source information for the picklist
`void` | `setDisplayAttributes(java.lang.String sDisplayAttributes)`
`void` | `setLovVo(java.lang.String voName)`

Methods inherited from class oracle.jdeveloper.html.StaticPickList
`createHTMLSelect, generateCheckBoxGroup, generateComboBox, generateListBox, generateRadioGroup, getControlType, getUseLineBreaks, prepareForMultiValueListGeneration, setControlType, setControlType, setDataSource, setUseLineBreaks`

Methods inherited from class oracle.jdeveloper.html.HTMLFieldRendererImpl
`getAttributeDef, getCSSClassName, getDatasource, getDisplayHeight, getDisplayWidth, getFieldName, getFormName, getHiddenFieldForValue, getHTMLValue, getHTMLValue, getMaxDataLength, getPageContext, getPromptText, getValue, lookup, setAttributeDef, setCSSClassName, setDatasource, setDisplayHeight, setDisplayWidth, setFieldName, setFormName, setHtmlAttributes, setMaxDataLength, setPageContext, setPromptText, setValue, setValueFromRow`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.jdeveloper.html.PickListContext
`getControlType, getUseLineBreaks, setControlType, setControlType, setUseLineBreaks`

Methods inherited from interface oracle.jdeveloper.html.HTMLRenderingContext
`getFormName, getPromptText, setFormName, setPromptText`

Field Detail

### addNullEntry

    protected int addNullEntry

### sQuery

    protected java.lang.String sQuery

### qView

    protected RowSet qView

### labelAttr

    protected java.lang.String labelAttr

### dataAttr

    protected java.lang.String dataAttr

### sVOPath

    protected java.lang.String sVOPath

Constructor Detail

### PickList

    public PickList()

  Constructs object. Default rendering is combo box.

Method Detail

### prepareForMutliValueListGeneration

    protected void prepareForMutliValueListGeneration()

### setDataSourceInfo

    public void setDataSourceInfo(RowSet qView)

  Defines the data source information for the picklist
  Specified by:
    `setDataSourceInfo` in interface `PickListContext`
  Parameters:
    `qView` - The View object this list is bound to

### setDataSourceInfo

    public void setDataSourceInfo(ApplicationModule appModule,
                                  java.lang.String sQuery)

  Defines the data source information for the picklist
  Specified by:
    `setDataSourceInfo` in interface `PickListContext`
  Parameters:
    `appModule` - The Application Module that is used to create the view object
    `sQuery` - The SQL SELECT that retrieves the pciklist values or a ViewObject name

### setLovVo

    public void setLovVo(java.lang.String voName)

  Specified by:
    `setLovVo` in interface `PickListContext`

### getLovVo

    public java.lang.String getLovVo()

  Specified by:
    `getLovVo` in interface `PickListContext`

### setDataAttributes

    public void setDataAttributes(java.lang.String sDataAttributes)

  Specified by:
    `setDataAttributes` in interface `PickListContext`
  Parameters:
    `sDataAttributes` - The name of the attribute(s) that provides the data values

### getDataAttributes

    public java.lang.String getDataAttributes()

  Specified by:
    `getDataAttributes` in interface `PickListContext`

### setDisplayAttributes

    public void setDisplayAttributes(java.lang.String sDisplayAttributes)

  Specified by:
    `setDisplayAttributes` in interface `PickListContext`
  Parameters:
    `sDisplayAttributes` - The name of the attribute(s) that provides the label values

### getDisplayAttributes

    public java.lang.String getDisplayAttributes()

  Specified by:
    `getDisplayAttributes` in interface `PickListContext`

### setAllowNulls

    public void setAllowNulls(boolean bSet)

  Specified by:
    `setAllowNulls` in interface `PickListContext`

### getAllowNulls

    public boolean getAllowNulls()

### getRenderedString

    protected java.lang.String getRenderedString()

  Overrides:
    `getRenderedString` in class `StaticPickList`

### renderToString

    public java.lang.String renderToString(Row row)

  Description copied from interface: `HTMLFieldRenderer`
  This method is called when the field renderers are being used from the Tag library and from the DataWebBeans.
  Specified by:
    `renderToString` in interface `HTMLFieldRenderer`
  Overrides:
    `renderToString` in class `StaticPickList`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.